classification
Title: Argument Clinic: compare signed and unsigned ints
Type: behavior Stage: resolved
Components: Argument Clinic, Demos and Tools Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Return converter code generated by Argument Clinic has a warning for unsigned types
View: 22120
Assigned To: Nosy List: larry, serhiy.storchaka
Priority: normal Keywords:

Created on 2014-01-14 08:35 by serhiy.storchaka, last changed 2016-06-19 16:15 by serhiy.storchaka. This issue is now closed.

Messages (4)
msg208083 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-01-14 08:35
For unsigned_int, unsigned_long and size_t return converters Argument Clinic generates a code which compares unsigned integer return_value with signed -1.
msg208244 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-01-16 07:20
Good point.  My brain is dead.  What would be a better "magic cookie" value?
msg208251 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-01-16 07:59
(unsigned int)-1 etc.
msg268855 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-06-19 16:15
Was fixed in duplicate issue22120.
History
Date User Action Args
2016-06-19 16:15:03serhiy.storchakasetstatus: open -> closed
superseder: Return converter code generated by Argument Clinic has a warning for unsigned types
messages: + msg268855

resolution: duplicate
stage: resolved
2015-02-25 15:24:44serhiy.storchakasetcomponents: + Argument Clinic
2014-01-16 07:59:31serhiy.storchakasetmessages: + msg208251
2014-01-16 07:20:24larrysetmessages: + msg208244
2014-01-14 08:35:49serhiy.storchakacreate